#ifndef PROGRESSINDICATOR_H
#define PROGRESSINDICATOR_H

#include <QWidget>
#include <QPaintEvent>
#include <QPainter>

namespace Ui {
class ProgressIndicator;
}

class ProgressIndicator : public QWidget
{
    Q_OBJECT
    
public:
    explicit ProgressIndicator(QWidget *parent = 0);
    ~ProgressIndicator();
    void setText(QString text);
    
private:
    Ui::ProgressIndicator *ui;

protected:
    void paintEvent(QPaintEvent *e);
};

#endif // PROGRESSINDICATOR_H
